import { TopicEmitter } from '@/class/topic';
import { SignedEvent } from '@/class/event/SignedEvent';
import { Tag } from '@/schema/types';
export declare class EmitEvent extends SignedEvent {
    readonly emitter: TopicEmitter;
    constructor(event: SignedEvent, emitter: TopicEmitter);
    get isEncoded(): boolean;
    get vector(): Uint8Array | undefined;
    get hashtags(): Tag[];
    get isDecipherable(): Promise<boolean>;
    decrypt(): Promise<string>;
}
//# sourceMappingURL=EmitEvent.d.ts.map