import { NostrClient } from '@/class/client';
import { EventEmitter } from '@/class/emitter';
import { SignedEvent } from '@/class/event/SignedEvent';
import { Filter } from '@/schema/types';
type UpdateHook = () => Promise<void>;
export declare class Subscription extends EventEmitter<{
    'ready': [Subscription];
    'event': [SignedEvent];
    [k: string]: any[];
}> {
    readonly client: NostrClient;
    readonly id: string;
    filter: Filter;
    _updateHook: UpdateHook;
    subscribed: boolean;
    constructor(client: NostrClient, filter?: Filter);
    private _eventHandler;
    update(filter?: Filter): Promise<void>;
    cancel(): void;
}
export {};
//# sourceMappingURL=subscription.d.ts.map